Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Obsolete Members for QLineF

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QLineF class reference

## Public Functions

qreal | angle ( const QLineF & line ) const`(obsolete)`

## Member Function Documentation

### qreal QLineF::angle ( const QLineF & line ) const

Returns the angle (in degrees) between this line and the given line, taking the direction of the lines into account. If the lines do not intersect within their range, it is the intersection point of the extended lines that serves as origin (see QLineF::UnboundedIntersection).

When the lines are parallel, this function returns 0 if they have the same direction; otherwise it returns 180.

See also intersect().